# $Revision: 1.10 $, $Date: 2008-02-25 22:09:48 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	MySQL
Summary:	Net::MySQL - pure Perl MySQL network protocol interface
Summary(pl.UTF-8):	Net::MySQL - czysto perlowy interfejs do protokołu sieciowego MySQL-a
Name:		perl-Net-MySQL
Version:	0.09
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c2447866e763414debbbcb58d78e10ce
URL:		http://search.cpan.org/dist/Net-MySQL/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Digest-SHA1
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::MySQL is a Pure Perl client interface for the MySQL database.
This module implements network protocol between server and client of
MySQL, thus you don't need external MySQL client library like
libmysqlclient for this module to work. It means this module enables
you to connect to MySQL server from some operation systems which MySQL
is not ported.

%description -l pl.UTF-8
Net::MySQL to czysto perlowy interfejs kliencki do bazy danych MySQL.
Ten moduł jest implementacją protokołu sieciowego między serwerem a
klientem MySQL-a, przez co nie wymaga do działania zewnętrznej
biblioteki klienckiej MySQL-a, takiej jak libmysqlclient. Oznacza to,
że moduł ten umożliwia połączenie z serwerem MySQL nawet z systemu
operacyjnego, na który MySQL nie został sportowany.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Net/MySQL.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-MySQL.spec,v $
Revision 1.10  2008-02-25 22:09:48  qboosh
- requires perl-Digest-SHA1

Revision 1.9  2007-12-24 14:12:02  qboosh
- generic URL

Revision 1.8  2007-12-24 01:31:04  zbyniu
- up to 0.09

Revision 1.7  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.5  2004/11/03 22:30:36  paladine
- formatting

Revision 1.4  2004/05/06 18:43:20  ankry
- fixed perl-devel BR

Revision 1.3  2004/04/27 00:28:04  ankry
- license fixes, cosmetics

Revision 1.2  2004/04/15 05:31:32  ankry
- cosmetics, unification

Revision 1.1  2003/10/31 23:20:32  qboosh
- new
